Index: issm/trunk/m4/issm_options.m4
===================================================================
--- issm/trunk/m4/issm_options.m4	(revision 27035)
+++ issm/trunk/m4/issm_options.m4	(revision 27232)
@@ -196,4 +196,8 @@
 			IS_MAC=yes
 			AC_DEFINE([_MAC_], [1], [is macOS])
+			dnl When standard Dakota installation has been updated to new 
+			dnl version, remove the following
+			export CFLAGS="-Wno-deprecated-register -Wno-return-type"
+			export CXXFLAGS="-Wno-deprecated-register -Wno-return-type"
 		;;
 		*)
@@ -644,4 +648,5 @@
 		dnl TODO:
 		dnl - Should we also be checking if HAVE_BOOST before adding boost libs?
+		dnl - Clean up the following conditionals
 		dnl
 		case "${host_os}" in
@@ -668,5 +673,38 @@
 				elif test "${DAKOTA_VERSION}" == "6.1" || test "${DAKOTA_VERSION}" == "6.2"; then
 					if test "${BOOST_VERSION_MAJOR}" == "1"; then
-						DAKOTAFLAGS="-DHAVE_CONFIG_H -DHAVE_CONFIG_H -DDISABLE_DAKOTA_CONFIG_H -DBOOST_DISABLE_ASSERTS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DHAVE_ADAPTIVE_SAMPLING -DHAVE_ESM -DHAVE_QUESO -DHAVE_QUESO_GPMSA -DHAVE_CONMIN -DHAVE_DDACE -DHAVE_DREAM -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_NOMAD -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
+						DAKOTAFLAGS="-DHAVE_CONFIG_H -DDISABLE_DAKOTA_CONFIG_H -DBOOST_DISABLE_ASSERTS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DHAVE_ADAPTIVE_SAMPLING -DHAVE_ESM -DHAVE_QUESO -DHAVE_QUESO_GPMSA -DHAVE_CONMIN -DHAVE_DDACE -DHAVE_DREAM -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_NOMAD -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
+						DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota_src -ldakota_src_fortran -lnidr -lteuchos -lpecos -lpecos_src -llhs -llhs_mods -llhs_mod -ldfftpack -lsparsegrid -lsurfpack -lsurfpack -lsurfpack_fortran -lqueso -lconmin -lddace -ldream -lfsudace -lhopspack -lncsuopt -lcport -lnomad -loptpp -lpsuade -lamplsolver"
+						DAKOTALIB+=" -L${BOOST_ROOT}/lib -lboost_filesystem -lboost_program_options -lboost_regex -lboost_serialization -lboost_system"
+						DAKOTALIB+=" ${BLASLAPACKLIB}"
+					fi
+					AC_DEFINE([DISABLE_DAKOTA_CONFIG_H], [1], [enabling DAKOTA_CONFIG_H])
+					AC_DEFINE([DAKOTA_HAVE_MPI], [1], [enabling Dakota with MPI])
+				elif test "${DAKOTA_VERSION}" == "6.11"; then
+					if test "${BOOST_VERSION_MAJOR}" == "1"; then
+						if test "${BOOST_VERSION_MINOR}" == "55"; then
+							DAKOTAFLAGS="-DDISABLE_DAKOTA_CONFIG_H -DBOOST_MULTI_INDEX_DISABLE_SERIALIZATION -DDAKOTA_PLUGIN -DBOOST_DISABLE_ASSERTS -DDAKOTA_HAVE_BOOST_FS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DDAKOTA_UTILIB -DHAVE_ADAPTIVE_SAMPLING -DHAVE_CONMIN -DDAKOTA_DDACE -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
+							DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota_src -ldream -lfsudace -lddace -lnomad -lpecos_src -llhs -llhs_mods -loptpp -lsurfpack -lconmin -ldakota_src_fortran -llhs_mod -lncsuopt -lsurfpack_fortran -lteuchos -lamplsolver -lcport -ldfftpack -lfsudace -lhopspack -lnidr -lpecos -lpsuade -lsparsegrid -L$BOOST_ROOT/lib -lboost_serialization -lboost_signals -lboost_regex -lboost_filesystem -lboost_system ${BLASLAPACKLIB}"
+						elif test "${BOOST_VERSION_MINOR}" == "72"; then
+							DAKOTAFLAGS="-DHAVE_CONFIG_H -DDISABLE_DAKOTA_CONFIG_H -DBOOST_DISABLE_ASSERTS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DHAVE_ADAPTIVE_SAMPLING -DHAVE_ESM -DHAVE_CONMIN -DHAVE_DDACE -DHAVE_DREAM -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_NOMAD -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
+							DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota_src -ldakota_src_fortran -lnidr -lteuchosremainder -lteuchosnumerics -lteuchoscomm -lteuchosparameterlist -lteuchosparser -lteuchoscore -lpecos_util -lpecos_src -llhs -llhs_mods -llhs_mod -ldfftpack -lsparsegrid -lsurfpack -lsurfpack -lsurfpack_fortran -lapproxnn -lconmin -lddace -ldream -lfsudace -lhopspack -lncsuopt -lcport -lnomad -loptpp -lpsuade -lamplsolver -L${BOOST_ROOT}/lib -lboost_filesystem -lboost_program_options -lboost_regex -lboost_serialization -lboost_system ${BLASLAPACKLIB}"
+						fi
+					fi
+					AC_DEFINE([DISABLE_DAKOTA_CONFIG_H], [1], [enabling DAKOTA_CONFIG_H])
+					AC_DEFINE([DAKOTA_HAVE_MPI], [1], [enabling Dakota with MPI])
+				else
+					AC_MSG_ERROR([Dakota version not found or version (${DAKOTA_VERSION}) not supported!]);
+				fi
+			;;
+			*linux*)
+				if test "${DAKOTA_VERSION}" == "5.1" || test "${DAKOTA_VERSION}" == "5.2"; then
+					DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota -lteuchos -lpecos -llhs -lsparsegrid -lsurfpack -lconmin -lddace -lfsudace -ljega -lcport -loptpp -lpsuade -lncsuopt -lcolin -linterfaces -lmomh -lscolib -lpebbl -ltinyxml -lutilib -l3po -lhopspack -lnidr -lamplsolver -lboost_signals -lboost_regex -lboost_filesystem -lboost_system -ldl"
+				elif test "${DAKOTA_VERSION}" == "5.3" || test "${DAKOTA_VERSION}" == "5.3.1"; then
+					DAKOTAFLAGS="-DDISABLE_DAKOTA_CONFIG_H -DBOOST_MULTI_INDEX_DISABLE_SERIALIZATION -DDAKOTA_PLUGIN -DBOOST_DISABLE_ASSERTS -DDAKOTA_HAVE_BOOST_FS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DDAKOTA_COLINY -DDAKOTA_UTILIB -DHAVE_ADAPTIVE_SAMPLING -DHAVE_CONMIN -DDAKOTA_DDACE -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_JEGA -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
+					DAKOTALIB="-L${DAKOTA_ROOT}/lib -L${BOOST_ROOT}/lib -ldakota_src -lpecos_src -lscolib -ljega_fe -llhs -lpebbl -lcolin -linterfaces -lmods -lmoga -loptpp -lsampling -lsoga -lsurfpack -lutilib -lconmin -ldakota_src_fortran -lmod -lncsuopt -lsurfpack_fortran -lteuchos -l3po -lamplsolver -lanalyzer -lbose -lcport -ldace -ldfftpack -leutils -lfsudace -lhopspack -ljega -lnidr -lpecos -lpsuade -lrandom -ltinyxml -lutilities -lsparsegrid -lboost_signals -lboost_regex -lboost_filesystem -lboost_system"
+					AC_DEFINE([DISABLE_DAKOTA_CONFIG_H], [1], [enabling DAKOTA_CONFIG_H])
+					AC_DEFINE([DAKOTA_HAVE_MPI], [1], [enabling Dakota with MPI])
+				elif test "${DAKOTA_VERSION}" == "6.1" || test "${DAKOTA_VERSION}" == "6.2"; then
+					if test "${BOOST_VERSION_MAJOR}" == "1"; then
+						DAKOTAFLAGS="-DHAVE_CONFIG_H -DDISABLE_DAKOTA_CONFIG_H -DBOOST_DISABLE_ASSERTS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DHAVE_ADAPTIVE_SAMPLING -DHAVE_ESM -DHAVE_QUESO -DHAVE_QUESO_GPMSA -DHAVE_CONMIN -DHAVE_DDACE -DHAVE_DREAM -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_NOMAD -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
 						DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota_src -ldakota_src_fortran -lnidr -lteuchos -lpecos -lpecos_src -llhs -llhs_mods -llhs_mod -ldfftpack -lsparsegrid -lsurfpack -lsurfpack -lsurfpack_fortran -lqueso -lconmin -lddace -ldream -lfsudace -lhopspack -lncsuopt -lcport -lnomad -loptpp -lpsuade -lamplsolver"
 						DAKOTALIB+=" -L${BOOST_ROOT}/lib -lboost_filesystem -lboost_program_options -lboost_regex -lboost_serialization -lboost_system"
@@ -691,37 +729,4 @@
 				fi
 			;;
-			*linux*)
-				if test "${DAKOTA_VERSION}" == "5.1" || test "${DAKOTA_VERSION}" == "5.2"; then
-					DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota -lteuchos -lpecos -llhs -lsparsegrid -lsurfpack -lconmin -lddace -lfsudace -ljega -lcport -loptpp -lpsuade -lncsuopt -lcolin -linterfaces -lmomh -lscolib -lpebbl -ltinyxml -lutilib -l3po -lhopspack -lnidr -lamplsolver -lboost_signals -lboost_regex -lboost_filesystem -lboost_system -ldl"
-				elif test "${DAKOTA_VERSION}" == "5.3" || test "${DAKOTA_VERSION}" == "5.3.1"; then
-					DAKOTAFLAGS="-DDISABLE_DAKOTA_CONFIG_H -DBOOST_MULTI_INDEX_DISABLE_SERIALIZATION -DDAKOTA_PLUGIN -DBOOST_DISABLE_ASSERTS -DDAKOTA_HAVE_BOOST_FS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DDAKOTA_COLINY -DDAKOTA_UTILIB -DHAVE_ADAPTIVE_SAMPLING -DHAVE_CONMIN -DDAKOTA_DDACE -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_JEGA -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
-					DAKOTALIB="-L${DAKOTA_ROOT}/lib -L${BOOST_ROOT}/lib -ldakota_src -lpecos_src -lscolib -ljega_fe -llhs -lpebbl -lcolin -linterfaces -lmods -lmoga -loptpp -lsampling -lsoga -lsurfpack -lutilib -lconmin -ldakota_src_fortran -lmod -lncsuopt -lsurfpack_fortran -lteuchos -l3po -lamplsolver -lanalyzer -lbose -lcport -ldace -ldfftpack -leutils -lfsudace -lhopspack -ljega -lnidr -lpecos -lpsuade -lrandom -ltinyxml -lutilities -lsparsegrid -lboost_signals -lboost_regex -lboost_filesystem -lboost_system"
-					AC_DEFINE([DISABLE_DAKOTA_CONFIG_H], [1], [enabling DAKOTA_CONFIG_H])
-					AC_DEFINE([DAKOTA_HAVE_MPI], [1], [enabling Dakota with MPI])
-				elif test "${DAKOTA_VERSION}" == "6.1" || test "${DAKOTA_VERSION}" == "6.2"; then
-					if test "${BOOST_VERSION_MAJOR}" == "1"; then
-						DAKOTAFLAGS="-DHAVE_CONFIG_H -DHAVE_CONFIG_H -DDISABLE_DAKOTA_CONFIG_H -DBOOST_DISABLE_ASSERTS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DHAVE_ADAPTIVE_SAMPLING -DHAVE_ESM -DHAVE_QUESO -DHAVE_QUESO_GPMSA -DHAVE_CONMIN -DHAVE_DDACE -DHAVE_DREAM -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_NOMAD -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
-						DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota_src -ldakota_src_fortran -lnidr -lteuchos -lpecos -lpecos_src -llhs -llhs_mods -llhs_mod -ldfftpack -lsparsegrid -lsurfpack -lsurfpack -lsurfpack_fortran -lqueso -lconmin -lddace -ldream -lfsudace -lhopspack -lncsuopt -lcport -lnomad -loptpp -lpsuade -lamplsolver"
-						DAKOTALIB+=" -L${BOOST_ROOT}/lib -lboost_filesystem -lboost_program_options -lboost_regex -lboost_serialization -lboost_system"
-						DAKOTALIB+=" ${BLASLAPACKLIB}"
-					fi
-					AC_DEFINE([DISABLE_DAKOTA_CONFIG_H], [1], [enabling DAKOTA_CONFIG_H])
-					AC_DEFINE([DAKOTA_HAVE_MPI], [1], [enabling Dakota with MPI])
-				elif test "${DAKOTA_VERSION}" == "6.11"; then
-					if test "${BOOST_VERSION_MAJOR}" == "1"; then
-						if test "${BOOST_VERSION_MINOR}" == "55"; then
-							DAKOTAFLAGS="-DDISABLE_DAKOTA_CONFIG_H -DBOOST_MULTI_INDEX_DISABLE_SERIALIZATION -DDAKOTA_PLUGIN -DBOOST_DISABLE_ASSERTS -DDAKOTA_HAVE_BOOST_FS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DDAKOTA_UTILIB -DHAVE_ADAPTIVE_SAMPLING -DHAVE_CONMIN -DDAKOTA_DDACE -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
-							DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota_src -ldream -lfsudace -lddace -lnomad -lpecos_src -llhs -llhs_mods -loptpp -lsurfpack -lconmin -ldakota_src_fortran -llhs_mod -lncsuopt -lsurfpack_fortran -lteuchos -lamplsolver -lcport -ldfftpack -lfsudace -lhopspack -lnidr -lpecos -lpsuade -lsparsegrid -L$BOOST_ROOT/lib -lboost_serialization -lboost_signals -lboost_regex -lboost_filesystem -lboost_system ${BLASLAPACKLIB}"
-						elif test "${BOOST_VERSION_MINOR}" == "72"; then
-							DAKOTAFLAGS="-DHAVE_CONFIG_H -DHAVE_CONFIG_H -DDISABLE_DAKOTA_CONFIG_H -DBOOST_DISABLE_ASSERTS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DHAVE_ADAPTIVE_SAMPLING -DHAVE_ESM -DHAVE_CONMIN -DHAVE_DDACE -DHAVE_DREAM -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_NOMAD -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
-							DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota_src -ldakota_src_fortran -lnidr -lteuchosremainder -lteuchosnumerics -lteuchoscomm -lteuchosparameterlist -lteuchosparser -lteuchoscore -lpecos_util -lpecos_src -llhs -llhs_mods -llhs_mod -ldfftpack -lsparsegrid -lsurfpack -lsurfpack -lsurfpack_fortran -lapproxnn -lconmin -lddace -ldream -lfsudace -lhopspack -lncsuopt -lcport -lnomad -loptpp -lpsuade -lamplsolver -L${BOOST_ROOT}/lib -lboost_filesystem -lboost_program_options -lboost_regex -lboost_serialization -lboost_system ${BLASLAPACKLIB}"
-						fi
-					fi
-					AC_DEFINE([DISABLE_DAKOTA_CONFIG_H], [1], [enabling DAKOTA_CONFIG_H])
-					AC_DEFINE([DAKOTA_HAVE_MPI], [1], [enabling Dakota with MPI])
-				else
-					AC_MSG_ERROR([Dakota version not found or version (${DAKOTA_VERSION}) not supported!]);
-				fi
-			;;
 		esac
 
@@ -826,8 +831,10 @@
 		elif ls ${PYTHON_ROOT}/lib/libpython${PYTHON_VERSION}m.* 1> /dev/null 2>&1; then
 			PYTHONLIB="-L${PYTHON_ROOT}/lib -lpython${PYTHON_VERSION}m"
+		elif ls ${PYTHON_ROOT}/lib/libpython${PYTHON_VERSION}.* 1> /dev/null 2>&1; then
+			PYTHONLIB="-L${PYTHON_ROOT}/lib -lpython${PYTHON_VERSION}"
 		elif ls ${PYTHON_ROOT}/lib64/libpython${PYTHON_VERSION}m.* 1> /dev/null 2>&1; then
 			PYTHONLIB="-L${PYTHON_ROOT}/lib64 -lpython${PYTHON_VERSION}m"
-		elif ls ${PYTHON_ROOT}/lib/libpython${PYTHON_VERSION}.* 1> /dev/null 2>&1; then
-			PYTHONLIB="-L${PYTHON_ROOT}/lib -lpython${PYTHON_VERSION}"
+		elif ls ${PYTHON_ROOT}/lib64/libpython${PYTHON_VERSION}.* 1> /dev/null 2>&1; then
+			PYTHONLIB="-L${PYTHON_ROOT}/lib64 -lpython${PYTHON_VERSION}"
 		else
 			AC_MSG_ERROR([libpython not found! Please locate this file and contact ISSM developers via forum or email.]);
@@ -2748,5 +2755,5 @@
 		AS_HELP_STRING([--with-cxxoptflags=CXXOPTFLAGS], [C++ optimization flags (i.e. --with-cxxoptflags="-march=opteron -O3 -std=c++11"]),
 		[CXXOPTFLAGS=${withval}],
-		[CXXOPTFLAGS="-g -O2 -fPIC -std=c++11"]
+		[CXXOPTFLAGS="-g -O2 -fPIC -std=c++11 -D_DO_NOT_LOAD_GLOBALS_"]
 	)
 	AC_SUBST([CXXOPTFLAGS])
Index: issm/trunk/packagers/linux/complete-issm-linux-binaries-matlab.sh
===================================================================
--- issm/trunk/packagers/linux/complete-issm-linux-binaries-matlab.sh	(revision 27035)
+++ issm/trunk/packagers/linux/complete-issm-linux-binaries-matlab.sh	(revision 27232)
@@ -6,5 +6,5 @@
 #
 # Normally, we would put this directly into the project configuration under 
-# 'Build' -> 'Excute shell', but becasue it is a bit more involved, it is a 
+# 'Build' -> 'Execute shell', but because it is a bit more involved, it is a 
 # good idea to version it.
 #
Index: issm/trunk/packagers/linux/complete-issm-linux-binaries-python-2.sh
===================================================================
--- issm/trunk/packagers/linux/complete-issm-linux-binaries-python-2.sh	(revision 27035)
+++ issm/trunk/packagers/linux/complete-issm-linux-binaries-python-2.sh	(revision 27232)
@@ -6,5 +6,5 @@
 #
 # Normally, we would put this directly into the project configuration under 
-# 'Build' -> 'Excute shell', but becasue it is a bit more involved, it is a 
+# 'Build' -> 'Execute shell', but because it is a bit more involved, it is a 
 # good idea to version it.
 #
Index: issm/trunk/packagers/linux/complete-issm-linux-binaries-python-3.sh
===================================================================
--- issm/trunk/packagers/linux/complete-issm-linux-binaries-python-3.sh	(revision 27035)
+++ issm/trunk/packagers/linux/complete-issm-linux-binaries-python-3.sh	(revision 27232)
@@ -6,5 +6,5 @@
 #
 # Normally, we would put this directly into the project configuration under 
-# 'Build' -> 'Excute shell', but becasue it is a bit more involved, it is a 
+# 'Build' -> 'Execute shell', but because it is a bit more involved, it is a 
 # good idea to version it.
 #
Index: issm/trunk/packagers/linux/package-issm-linux-binaries-matlab.sh
===================================================================
--- issm/trunk/packagers/linux/package-issm-linux-binaries-matlab.sh	(revision 27035)
+++ issm/trunk/packagers/linux/package-issm-linux-binaries-matlab.sh	(revision 27232)
@@ -112,4 +112,22 @@
 cp ${LIBGFORTRAN} ${LIBGFORTRAN_DIST} 2> /dev/null
 
+echo "Moving GSHHG assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/gmt/install/share/coast ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/gmt/install/share/coast ${ISSM_DIR}/share
+else
+	echo "GSHHG not found"
+	exit 1
+fi
+
+echo "Moving PROJ assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/proj/install/share/proj ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/proj/install/share/proj ${ISSM_DIR}/share
+else
+	echo "PROJ not found"
+	exit 1
+fi
+
 # Run tests
 if [ ${skip_tests} -eq 0 ]; then
@@ -119,8 +137,8 @@
 
 	# Run tests, redirecting output to logfile and suppressing output to console
-	${MATLAB_PATH}/bin/matlab -nojvm -nosplash -nojvm -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" &> matlab.log
+	${MATLAB_PATH}/bin/matlab -nojvm -nosplash -nojvm -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib ${ISSM_DIR}/share; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" &> matlab.log
 
 	# Check that MATLAB did not exit in error
-	matlabExitedInError=`grep -E "Activation cannot proceed|Error in matlab_run|Illegal use of reserved keyword" matlab.log | wc -l`
+	matlabExitedInError=`grep -c -E "Activation cannot proceed|Error in matlab_run|Illegal use of reserved keyword|Invalid MEX-file" matlab.log`
 
 	if [ ${matlabExitedInError} -ne 0 ]; then
@@ -136,8 +154,10 @@
 
 	# Check that all tests passed
-	numTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
+	sed -i "/FAILED TO establish the default connection to the WindowServer/d" matlab.log # First, need to remove WindowServer error message
+	numTestsFailed=`grep -c -E "FAILED|ERROR" matlab.log`
 
 	if [ ${numTestsFailed} -ne 0 ]; then
 		echo "One or more tests FAILED"
+		cat matlab.log
 		exit 1
 	else
@@ -152,5 +172,5 @@
 svn cleanup --remove-ignored --remove-unversioned test # Clean up test directory (before copying to package)
 echo "Copying assets to package: ${PKG}"
-cp -rf bin examples lib scripts test ${PKG}
+cp -rf bin examples lib scripts share test ${PKG}
 mkdir ${PKG}/execution
 echo "Cleaning up unneeded/unwanted files"
Index: issm/trunk/packagers/linux/package-issm-linux-binaries-python-2.sh
===================================================================
--- issm/trunk/packagers/linux/package-issm-linux-binaries-python-2.sh	(revision 27035)
+++ issm/trunk/packagers/linux/package-issm-linux-binaries-python-2.sh	(revision 27232)
@@ -105,4 +105,21 @@
 cp ${LIBGFORTRAN} ${LIBGFORTRAN_DIST} 2> /dev/null
 
+echo "Moving GSHHG assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/gmt/install/share/coast ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/gmt/install/share/coast ${ISSM_DIR}/share
+else
+	echo "GSHHG not found"
+	exit 1
+fi
+
+echo "Moving PROJ assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/proj/install/share/proj ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/proj/install/share/proj ${ISSM_DIR}/share
+else
+	echo "PROJ not found"
+	exit 1
+fi
 
 # Run tests
@@ -122,5 +139,5 @@
 	# Check that Python did not exit in error
 	pythonExitCode=`echo $?`
-	pythonExitedInError=`grep -E "Error|Standard exception|Traceback|bad interpreter" python.log | wc -l`
+	pythonExitedInError=`grep -c -E "Error|Standard exception|Traceback|bad interpreter" python.log`
 
 	if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
@@ -136,8 +153,10 @@
 
 	# Check that all tests passed
-	numTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
+	sed -i "/FAILED TO establish the default connection to the WindowServer/d" python.log # First, need to remove WindowServer error message
+	numTestsFailed=`grep -c -E "FAILED|ERROR" python.log`
 
 	if [[ ${numTestsFailed} -ne 0 ]]; then
 		echo "One or more tests FAILED"
+		cat python.log
 		exit 1
 	else
@@ -152,5 +171,5 @@
 svn cleanup --remove-ignored --remove-unversioned test # Clean up test directory (before copying to package)
 echo "Copying assets to package: ${PKG}"
-cp -rf bin examples lib scripts test ${PKG}
+cp -rf bin examples lib scripts share test ${PKG}
 mkdir ${PKG}/execution
 ${ISSM_DIR}/scripts/py_to_pyc.sh ${PKG}/bin # Compile Python source files
Index: issm/trunk/packagers/linux/package-issm-linux-binaries-python-3.sh
===================================================================
--- issm/trunk/packagers/linux/package-issm-linux-binaries-python-3.sh	(revision 27035)
+++ issm/trunk/packagers/linux/package-issm-linux-binaries-python-3.sh	(revision 27232)
@@ -105,4 +105,21 @@
 cp ${LIBGFORTRAN} ${LIBGFORTRAN_DIST} 2> /dev/null
 
+echo "Moving GSHHG assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/gmt/install/share/coast ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/gmt/install/share/coast ${ISSM_DIR}/share
+else
+	echo "GSHHG not found"
+	exit 1
+fi
+
+echo "Moving PROJ assets to share/"
+if [ -d ${ISSM_DIR}/externalpackages/proj/install/share/proj ]; then
+	mkdir ${ISSM_DIR}/share 2> /dev/null
+	cp -R ${ISSM_DIR}/externalpackages/proj/install/share/proj ${ISSM_DIR}/share
+else
+	echo "PROJ not found"
+	exit 1
+fi
 
 # Run tests
@@ -125,5 +142,5 @@
 	# Check that Python did not exit in error
 	pythonExitCode=`echo $?`
-	pythonExitedInError=`grep -E "Error|Standard exception|Traceback|bad interpreter" python.log | wc -l`
+	pythonExitedInError=`grep -c -E "Error|Standard exception|Traceback|bad interpreter" python.log`
 
 	if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
@@ -139,8 +156,10 @@
 
 	# Check that all tests passed
-	numTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
+	sed -i "/FAILED TO establish the default connection to the WindowServer/d" python.log # First, need to remove WindowServer error message
+	numTestsFailed=`grep -c -E "FAILED|ERROR" python.log`
 
 	if [[ ${numTestsFailed} -ne 0 ]]; then
 		echo "One or more tests FAILED"
+		cat python.log
 		exit 1
 	else
@@ -155,5 +174,5 @@
 svn cleanup --remove-ignored --remove-unversioned test # Clean up test directory (before copying to package)
 echo "Copying assets to package: ${PKG}"
-cp -rf bin examples lib scripts test ${PKG}
+cp -rf bin examples lib scripts share test ${PKG}
 mkdir ${PKG}/execution
 ${ISSM_DIR}/scripts/py_to_pyc.sh ${PKG}/bin # Compile Python source files
Index: issm/trunk/packagers/mac/commit_for_signing-issm-mac-binaries-matlab.sh
===================================================================
--- issm/trunk/packagers/mac/commit_for_signing-issm-mac-binaries-matlab.sh	(revision 27035)
+++ issm/trunk/packagers/mac/commit_for_signing-issm-mac-binaries-matlab.sh	(revision 27232)
@@ -138,4 +138,6 @@
 	echo "Removing lock file from repository for signed packages"
 	svn update \
+		--trust-server-cert \
+		--non-interactive \
 		--username ${ISSM_BINARIES_REPO_USER} \
 		--password ${ISSM_BINARIES_REPO_PASS} \
@@ -156,4 +158,6 @@
 # If lock file exists, a signing build is still in process by JPL Cybersecurity
 svn update \
+	--trust-server-cert \
+	--non-interactive \
 	--username ${ISSM_BINARIES_REPO_USER} \
 	--password ${ISSM_BINARIES_REPO_PASS} \
@@ -214,4 +218,6 @@
 	sleep ${SIGNING_CHECK_PERIOD}
 	svn update \
+		--trust-server-cert \
+		--non-interactive \
 		--username ${ISSM_BINARIES_REPO_USER} \
 		--password ${ISSM_BINARIES_REPO_PASS} \
@@ -221,4 +227,6 @@
 		# Retrieve notarization lock file
 		svn update \
+			--trust-server-cert \
+			--non-interactive \
 			--username ${ISSM_BINARIES_REPO_USER} \
 			--password ${ISSM_BINARIES_REPO_PASS} \
Index: issm/trunk/packagers/mac/commit_for_signing-issm-mac-binaries-python-2.sh
===================================================================
--- issm/trunk/packagers/mac/commit_for_signing-issm-mac-binaries-python-2.sh	(revision 27035)
+++ issm/trunk/packagers/mac/commit_for_signing-issm-mac-binaries-python-2.sh	(revision 27232)
@@ -138,4 +138,6 @@
 	echo "Removing lock file from repository for signed packages"
 	svn update \
+		--trust-server-cert \
+		--non-interactive \
 		--username ${ISSM_BINARIES_REPO_USER} \
 		--password ${ISSM_BINARIES_REPO_PASS} \
@@ -156,4 +158,6 @@
 # If lock file exists, a signing build is still in process by JPL Cybersecurity
 svn update \
+	--trust-server-cert \
+	--non-interactive \
 	--username ${ISSM_BINARIES_REPO_USER} \
 	--password ${ISSM_BINARIES_REPO_PASS} \
@@ -214,4 +218,6 @@
 	sleep ${SIGNING_CHECK_PERIOD}
 	svn update \
+		--trust-server-cert \
+		--non-interactive \
 		--username ${ISSM_BINARIES_REPO_USER} \
 		--password ${ISSM_BINARIES_REPO_PASS} \
@@ -221,4 +227,6 @@
 		# Retrieve notarization lock file
 		svn update \
+			--trust-server-cert \
+			--non-interactive \
 			--username ${ISSM_BINARIES_REPO_USER} \
 			--password ${ISSM_BINARIES_REPO_PASS} \
Index: issm/trunk/packagers/mac/commit_for_signing-issm-mac-binaries-python-3.sh
===================================================================
--- issm/trunk/packagers/mac/commit_for_signing-issm-mac-binaries-python-3.sh	(revision 27035)
+++ issm/trunk/packagers/mac/commit_for_signing-issm-mac-binaries-python-3.sh	(revision 27232)
@@ -138,4 +138,6 @@
 	echo "Removing lock file from repository for signed packages"
 	svn update \
+		--trust-server-cert \
+		--non-interactive \
 		--username ${ISSM_BINARIES_REPO_USER} \
 		--password ${ISSM_BINARIES_REPO_PASS} \
@@ -156,4 +158,6 @@
 # If lock file exists, a signing build is still in process by JPL Cybersecurity
 svn update \
+	--trust-server-cert \
+	--non-interactive \
 	--username ${ISSM_BINARIES_REPO_USER} \
 	--password ${ISSM_BINARIES_REPO_PASS} \
@@ -214,4 +218,6 @@
 	sleep ${SIGNING_CHECK_PERIOD}
 	svn update \
+		--trust-server-cert \
+		--non-interactive \
 		--username ${ISSM_BINARIES_REPO_USER} \
 		--password ${ISSM_BINARIES_REPO_PASS} \
@@ -221,4 +227,6 @@
 		# Retrieve notarization lock file
 		svn update \
+			--trust-server-cert \
+			--non-interactive \
 			--username ${ISSM_BINARIES_REPO_USER} \
 			--password ${ISSM_BINARIES_REPO_PASS} \
Index: issm/trunk/packagers/mac/complete-issm-mac-binaries-matlab.sh
===================================================================
--- issm/trunk/packagers/mac/complete-issm-mac-binaries-matlab.sh	(revision 27035)
+++ issm/trunk/packagers/mac/complete-issm-mac-binaries-matlab.sh	(revision 27232)
@@ -6,5 +6,5 @@
 #
 # Normally, we would put this directly into the project configuration under 
-# 'Build' -> 'Excute shell', but becasue it is a bit more involved, it is a 
+# 'Build' -> 'Execute shell', but because it is a bit more involved, it is a 
 # good idea to version it.
 #
@@ -33,10 +33,11 @@
 # Debugging:
 # - Relies on a very tight handshake with project on remote JPL Cybersecurity 
-#	Jenkins server. Debugging may be perfomed locally by running,
+#	Jenkins server. Debugging may be performed locally by running,
 #
 #		packagers/mac/sign-issm-mac-binaries-matlab.sh
 #
-#	with "ISSM_BINARIES_USER" and "ISSM_BINARIES_PASS" hardcoded to Apple 
-#	Developer credentials.
+#	with "AD_IDENTITY", "AD_USERNAME", and "ASC_PROVIDER" hardcoded to Apple 
+#	Developer credentials (make sure to also set keychain password in 
+#	"ALTOOL_PASSWORD").
 # - Removing stdout/stderr redirections to null device (> /dev/null 2>&1) can 
 #	help debug potential SVN issues.
Index: issm/trunk/packagers/mac/complete-issm-mac-binaries-python-2.sh
===================================================================
--- issm/trunk/packagers/mac/complete-issm-mac-binaries-python-2.sh	(revision 27035)
+++ issm/trunk/packagers/mac/complete-issm-mac-binaries-python-2.sh	(revision 27232)
@@ -6,5 +6,5 @@
 #
 # Normally, we would put this directly into the project configuration under 
-# 'Build' -> 'Excute shell', but becasue it is a bit more involved, it is a 
+# 'Build' -> 'Execute shell', but because it is a bit more involved, it is a 
 # good idea to version it.
 #
@@ -33,10 +33,11 @@
 # Debugging:
 # - Relies on a very tight handshake with project on remote JPL Cybersecurity 
-#	Jenkins server. Debugging may be perfomed locally by running,
+#	Jenkins server. Debugging may be performed locally by running,
 #
 #		packagers/mac/sign-issm-mac-binaries-python-2.sh
 #
-#	with "ISSM_BINARIES_USER" and "ISSM_BINARIES_PASS" hardcoded to Apple 
-#	Developer credentials.
+#	with "AD_IDENTITY", "AD_USERNAME", and "ASC_PROVIDER" hardcoded to Apple 
+#	Developer credentials (make sure to also set keychain password in 
+#	"ALTOOL_PASSWORD").
 # - Removing stdout/stderr redirections to null device (> /dev/null 2>&1) can 
 #	help debug potential SVN issues.
Index: issm/trunk/packagers/mac/complete-issm-mac-binaries-python-3.sh
===================================================================
--- issm/trunk/packagers/mac/complete-issm-mac-binaries-python-3.sh	(revision 27035)
+++ issm/trunk/packagers/mac/complete-issm-mac-binaries-python-3.sh	(revision 27232)
@@ -6,5 +6,5 @@
 #
 # Normally, we would put this directly into the project configuration under 
-# 'Build' -> 'Excute shell', but becasue it is a bit more involved, it is a 
+# 'Build' -> 'Execute shell', but because it is a bit more involved, it is a 
 # good idea to version it.
 #
@@ -33,10 +33,11 @@
 # Debugging:
 # - Relies on a very tight handshake with project on remote JPL Cybersecurity 
-#	Jenkins server. Debugging may be perfomed locally by running,
+#	Jenkins server. Debugging may be performed locally by running,
 #
 #		packagers/mac/sign-issm-mac-binaries-python-3.sh
 #
-#	with "ISSM_BINARIES_USER" and "ISSM_BINARIES_PASS" hardcoded to Apple 
-#	Developer credentials.
+#	with "AD_IDENTITY", "AD_USERNAME", and "ASC_PROVIDER" hardcoded to Apple 
+#	Developer credentials (make sure to also set keychain password in 
+#	"ALTOOL_PASSWORD").
 # - Removing stdout/stderr redirections to null device (> /dev/null 2>&1) can 
 #	help debug potential SVN issues.
